<?php

//信息查看權限提示函數
function eCheckLevelInfo_ViewInfoMsg($ckuser,$r,$ecms){
	global $empire,$dbtbpre,$public_r,$check_path,$level_r,$class_r,$public_diyr;
	$ViewLevel=eCheckLevelInfo_ReturnViewLevelSay($r);
	$msg=eCheckLevelInfo_ReturnMsgStr($ckuser,$ecms);
	$r['title']=stripSlashes($r['title']);
	$showsmalltext=eCheckLevelInfo_ReturnIntroField($r);
	$public_diyr['pagetitle']=$r['title'];
	$url="<a href='".$public_r['newsurl']."'>首頁</a>&nbsp;>&nbsp;<a href='".$public_r['newsurl']."e/member/cp/'>會員中心</a>&nbsp;>&nbsp;查看信息：".$r['title'];
	@include(ECMS_PATH."e/data/template/cp_1.php");
	?>
	<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td height="25">提示信息</td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
    <td height="25"><?=$msg?></td>
  </tr>
</table>
<br>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <tr class="header"> 
    <td height="25" colspan="2">標題：
      <?=$r['title']?>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
    <td height="25">查看權限：</td>
    <td height="25">
      <?=$ViewLevel?>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
    <td width="17%" height="25">發佈時間：</td>
    <td width="83%" height="25"> 
      <?=date("Y-m-d H:i:s",$r['newstime'])?>
    </td>
  </tr>
  <tr bgcolor="#FFFFFF"> 
    <td height="25">信息簡介：</td>
    <td height="25"> 
      <?=$showsmalltext?>
    </td>
  </tr>
	</table>
	<?php
	@include(ECMS_PATH."e/data/template/cp_2.php");
	exit();
}

//返回提示信息內容
function eCheckLevelInfo_ReturnMsgStr($ckuser,$ecms){
	global $check_path,$level_r,$empire,$gotourl,$toreturnurl,$public_r,$dbtbpre,$class_r,$checkinfor;
	$msgstr='';
	if($ecms=='NotLogin')//未登錄
	{
		$msgstr="您還未登陸，<a href='$gotourl'><u>點擊這裡</u></a>進行登陸操作；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='SingleLogin')//只能一人在線
	{
		$msgstr="同一帳號只能一人在線，<a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='NotCheckUser')//未審核
	{
		$msgstr="您的帳號還未審核通過，<a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='NotLevelClass')//權限不足(欄目設置)
	{
		$msgstr="您沒有足夠權限查看此信息! <a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='NotLevelGroup')//權限不足(會員組)
	{
		$msgstr="您的會員級別不足(您的當前級別：".$level_r[$ckuser['groupid']]['groupname'].")，沒有查看此信息的權限! <a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='NotLevelViewGroup')//權限不足(訪問組)
	{
		$msgstr="您的會員級別不足，沒有查看此信息的權限! <a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	elseif($ecms=='NotUserfen')//點數不夠
	{
		$msgstr="您的點數不足(您當前擁有的點數 ".$ckuser['userfen']." 點)，沒有查看此信息的權限! <a href='$gotourl'><u>點擊這裡</u></a>重新登陸；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	else
	{
		$msgstr="您還未登陸，<a href='$gotourl'><u>點擊這裡</u></a>進行登陸操作；註冊請<a href='".$public_r['newsurl']."e/member/register/'><u>點擊這裡</u></a>。";
	}
	return $msgstr;
}

//返回需要的查看權限提示
function eCheckLevelInfo_ReturnViewLevelSay($infor){
	global $check_path,$level_r,$empire,$gotourl,$toreturnurl,$public_r,$dbtbpre,$class_r,$checkinfor;
	if(empty($infor['userfen']))//不需要扣點
	{
		if($class_r[$infor['classid']]['cgtoinfo'])//欄目設置
		{
			$ViewLevel="需要 [".eCheckLevelInfo_ViewInfoLevels($infor['eclass_cgroupid'])."] 級別才能查看。";
		}
		else
		{
			if($infor['groupid']>0)
			{
				$ViewLevel="需要 [".$level_r[$infor['groupid']]['groupname']."] 級別以上才能查看。";
			}
			else
			{
				$ViewLevel="需要 [特定訪問組] 級別才能查看。";
			}
		}
	}
	else//需要扣點
	{
		if($class_r[$infor['classid']]['cgtoinfo'])//欄目設置
		{
			$ViewLevel="需要 [".eCheckLevelInfo_ViewInfoLevels($infor['eclass_cgroupid'])."] 級別與扣除 ".$infor['userfen']." 點才能查看。";
		}
		else
		{
			if($infor['groupid']>0)
			{
				$ViewLevel="需要 [".$level_r[$infor['groupid']]['groupname']."] 級別以上與扣除 ".$infor['userfen']." 點才能查看。";
			}
			else
			{
				$ViewLevel="需要 [特定訪問組] 級別與扣除 ".$infor['userfen']." 點才能查看。";
			}
		}
	}
	return $ViewLevel;
}

//返回權限列表
function eCheckLevelInfo_ViewInfoLevels($groupid){
	global $level_r;
	if(empty($groupid))
	{
		return '至少會員';
	}
	$r=explode(',',$groupid);
	$count=count($r)-1;
	$groups='';
	$dh='';
	for($i=1;$i<$count;$i++)
	{
		$groups.=$dh.$level_r[$r[$i]][groupname];
		$dh=',';
	}
	return $groups;
}

//返回簡介字段
function eCheckLevelInfo_ReturnIntroField($r){
	global $public_r,$class_r,$emod_r,$check_tbname;
	$sublen=120;//截取120個字
	$mid=$class_r[$r[classid]]['modid'];
	$smalltextf=$emod_r[$mid]['smalltextf'];
	$stf=$emod_r[$mid]['savetxtf'];
	//簡介
	$value='';
	$showf='';
	if($smalltextf&&$smalltextf<>',')
	{
		$smr=explode(',',$smalltextf);
		$smcount=count($smr)-1;
		for($i=1;$i<$smcount;$i++)
		{
			$smf=$smr[$i];
			if($r[$smf])
			{
				$value=$r[$smf];
				$showf=$smf;
				break;
			}
		}
	}
	if(empty($showf))
	{
		$value=strip_tags($r['newstext']);
		$value=esub($value,$sublen);
		$showf='newstext';
	}
	//存文本
	if($stf==$showf)
	{
		$value='';
	}
	return stripSlashes($value);
}

?>